Last Comment Bug 766317 - Sony Ericsson Experia Pro's HKB cannot enter non-English characters in web forms
: Sony Ericsson Experia Pro's HKB cannot enter non-English characters in web forms
Status: RESOLVED FIXED
HKB
:
Product: Firefox for Android
Classification: Client Software
Component: Keyboards and IME (show other bugs)
: 14 Branch
: ARM Android
: P2 normal (vote)
: Firefox 17
Assigned To: Chris Peterson [:cpeterson]
:
Mentors:
Depends on: 772252
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 14:28 PDT by Chickentm97
Modified: 2012-09-12 21:17 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
affected
affected
fixed
fixed


Attachments

Description Chickentm97 2012-06-19 14:28:46 PDT
User Agent: Mozilla/5.0 (Android; Mobile; rv:14.0) Gecko/14.0 Firefox/14.0
Build ID: 20120614153549

Steps to reproduce:

I have tiped my password in Firefox BETA


Actual results:

i wasn't able to type it because my function key didn't work
and my qwertz keyboard changes to qwerty


Expected results:

normally it should type numbers
Comment 1 Aaron Train [:aaronmt] 2012-06-19 18:29:19 PDT
Hi,

Some questions to help us out here as your report is quite vague:

What is mini-pro as mentioned in this bug summary?
What is your Android device? Does it have a hardware keyboard?
What is your Android keyboard? Is it downloadable from Google Play? What is it called?
Which site are you testing on?
Which characters are you trying to enter?
Does it work in the stock Android browser?
Comment 2 Chickentm97 2012-06-19 22:10:27 PDT
Mini Pro is my device. SONY Ericsson Xperia Mini Pro (Sk17i).
Yes it does have a Hardware keyboard.
My android-keyboard is the stock android-keyboard.
I was testing Facebook , Google and some other.
Like i said : numbers. 
And yes it does works correctly in my stock Android Browser.
Comment 3 Michelle Luna 2012-07-02 18:29:27 PDT
I have a user on SUMO with a similar report, as follows:

Sony ericcson experia pro with a hard keyboard
He reports that non-English characters, numbers and special characters (dot, comma, etc.) don't work in web forms. 

He says that his hard keyboard works fine in the address bar though, see https://support.mozilla.org/en-US/questions/930855
Comment 4 Chickentm97 2012-07-03 10:32:45 PDT
Same here. I have german Hardware Keyboard.
In the adress bar everything works fine.
But on other Web forms it's like you said.

I hope it will fixed ASAP :)
Comment 5 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-07-10 10:51:18 PDT
Reading this, it seems like it's the Hardware keyboard that's exhibiting the issue... is that correct?  How does the VKB handle?
Comment 6 Chris Peterson [:cpeterson] 2012-07-10 11:01:12 PDT
nhirata, thanks. I misread the original bug description. This bug may be related to Xperia HKB bug 772252.
Comment 7 Chris Peterson [:cpeterson] 2012-08-25 11:00:33 PDT
Bug 772252 should also fix this bug.
Comment 8 Chris Peterson [:cpeterson] 2012-09-12 21:17:13 PDT
This should be fixed in Beta 16 by:
https://hg.mozilla.org/releases/mozilla-beta/rev/b0b919b01fcf

Note You need to log in before you can comment on or make changes to this bug.